Subject: Re: bug#79036: [PATCH] Fix pdb tracking for remote filenames

From: kobarity <[email-masked]>
Date: Sun, 03 Aug 2025 20:47:05 +0900

Michael Albinus wrote:
> kobarity <[email-masked]> writes:
> > Thus, TRAMP filenames such as "/ssh:remote1:/tmp/test.py" or
> > "/local:/tmp/test.py" is useless for PDB but helpful for PDB tracking.
> 
> JFTR: "/local:/tmp/test.py" is NOT a Tramp file name. It uses just the
> prefix "/local:" for internal purposes.

Understood.  I revised the patch to perform checking and removing
the prefix "/local:" first.

Eli Zaretskii wrote:
> 
> > From: Liu Hui <[email-masked]>
> > Date: Thu, 24 Jul 2025 08:45:54 +0800
> > Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
> > 
> > On Wed, Jul 23, 2025 at 11:08 PM kobarity <[email-masked]> wrote:
> > 
> > > > For non-file buffers, could it return buffer name instead of <string>?
> > > > e.g. #<buffer NAME> or #<NAME> where NAME may need to be quoted. Then
> > > > python-pdbtrack-set-tracked-buffer can find it by (get-buffer-create
> > > > "NAME").
> > >
> > > That might be a good idea.  Why is `get-buffer-create' is necessary
> > > rather than `get-buffer'?
> > 
> > Thanks for pointing it out. get-buffer should be used here.
> 
> So can we please have an updated patch for this?

Since it is an improvement to add a new feature and not a fix for
#79036, I think it would be better to separate the patches.

Attached is my proposed patch to fix #79036.